## Initialization and Finalization Initialization and Finalization |

## Functions

void | dh_init ()
void | dh_finalize ()

## Includes

    #include <devhelp/devhelp.h>

## Description

## Functions

### dh_init ()

    void
    dh_init (void);

Initializes the Devhelp library (e.g. for the internationalization).

This function can be called several times, but is meant to be called at the beginning of `main()`, before any other Devhelp function call.

### dh_finalize ()

    void
    dh_finalize (void);

Free the resources allocated by Devhelp. For example it unrefs the singleton objects.

It is not mandatory to call this function, it's just to be friendlier to memory debugging tools. This function is meant to be called at the end of `main()`. It can be called several times.

Since: 3.26

## Types and Values